# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-mplayer
Version:        0.6.0
Release:        1%{?dist}
Summary:        Several Pythonic interfaces to MPlayer

Group:          Development/Languages
License:        LGPL3
URL:            http://code.google.com/p/python-mplayer/
Source0:        http://pypi.python.org/packages/source/P/PyMPlayer/PyMPlayer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
Initially known as PyMPlayer (http://pypi.python.org/pypi/PyMPlayer/ "renamed" to avoid confusion with other projects), python-mplayer provides several Pythonic interfaces to MPlayer. These are implemented as the following classes (see Introspection for more info):

1. Player provides a basic and low-level interface to MPlayer.
   Interaction can be done by sending commands or querying information.
2. AsyncPlayer is a Player subclass with asyncore integration (NOT for MS
   Windows).  Adds support for hooking functions to the process'
   stdout/stderr.
3. GPlayer is a Player subclass with GTK/GObject integration (same usage
   as AsyncPlayer)
4. QtPlayer is a Player subclass with Qt integration (same usage as
   AsyncPlayer)
5. GtkPlayerView provides a basic (as of now) PyGTK widget that embeds
   MPlayer.
6. QPlayerView provides a PyQt4 widget similar to GtkPlayerView in
   functionality.

%prep
%setup -q -n PyMPlayer-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES-0.5.0.txt CHANGES.txt LICENSE.txt README.txt
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
